dpkg-query(1)

NAAM
dpkg-query - een gereedschap om te zoeken in de database van dpkg

OVERZICHT
dpkg-query [optie...] commando

BESCHRIJVING
dpkg-query is een gereedschap om informatie te tonen over pakketten die opgenomen zijn in de database van dpkg.

COMMANDO'S

-l, --list [pakketnaampatroon...]
    Alle gekende pakketten opsommen die beantwoorden aan één of meer patronen, ongeacht hun toestand, met daarbij inbegrepen elk reëel of virtueel pakket dat in om het even welk veld over vereistenrelaties (zoals Breaks, Enhances, enz.) vermeld wordt. Indien geen pakketnaampatroon opgegeven werd, alle pakketten uit /var/db/dpkg/status opsommen, met uitzondering van die welke als niet-geïnstalleerd gemarkeerd staan (d.w.z. die welke eerder gewist werden). De normale shell-jokertekens mogen in pakketnaampatroon gebruikt worden. Merk op dat u pakketnaampatroon wellicht tussen aanhalingstekens zult moeten plaatsen om te voorkomen dat de shell aan bestandsnaamexpansie zou doen. Het volgende zal bijvoorbeeld een opsomming geven van alle pakketnamen die beginnen met "libc6":

     dpkg-query -l 'libc6*'

    De eerste drie kolommen van de uitvoer tonen de gewenste actie, de toestand van het pakket, en fouten, in die volgorde.

    Gewenste actie:

    u = Onbekend (Unknown)
    i = Installeren (Install)
    h = Handhaven (Hold)
    r = Verwijderen (Remove)
    p = Wissen (Purge)

    Toestand van het pakket:

    n = Niet-geïnstalleerd (Not-installed)
    c = Configuratiebestanden (Config-files)
    H = Half-geïnstalleerd (Half-installed)
    U = Uitgepakt (Unpacked)
    F = Half-geconfigureerd (Half-configured)
    W = Triggers-afgewacht (Triggers-awaiting)
    t = Triggers-aanhangig (Triggers-pending)
    i = Geïnstalleerd (Installed)

    Foutvlaggen:

    <leeg> = (geen)
    R = Herinst-nodig (Reinst-required)

    Een toestand die aangeduid wordt met een hoofdletter of een foutletter wijzen erop dat het waarschijnlijk is dat het pakket ernstige problemen zal veroorzaken. Gelieve dpkg(1) te raadplegen voor informatie over de bovenstaande toestanden en vlaggen.

    De indeling van de uitvoer van deze optie kan niet geconfigureerd worden, maar varieert automatisch om te passen binnen de breedte van de terminal. Ze is bedoeld om door personen gelezen te worden, en kan niet gemakkelijk gelezen worden door een machine. Zie -W (--show) en --showformat voor een manier om de indeling van de uitvoer te configureren.

-W, --show [pakketnaampatroon...]
    Net als de optie --list geeft deze optie een lijst van alle pakketten die overeenkomen met de opgegeven patronen. De uitvoer kan echter worden aangepast met de optie --showformat.

    Het standaardformaat van de uitvoer is één regel per overeenstemmend pakket, waarbij elke regel bestaat uit de pakketnaam en zijn geïnstalleerde versie, gescheiden door een tab. De naam van het pakket zal een architectuurkwalificatie bevatten bij pakketten met een veld Multi-Arch met de waarde same of bij een vreemde architectuur, wat een architectuur is die niet de eigen architectuur is of niet all.

-s, --status [pakketnaam...]
    Rapporteert over de status van opgegeven pakketten. Dit geeft gewoon het item weer uit de databank met de toestand van de geïnstalleerde bestanden. Indien geen pakketnaam vermeld werd, worden alle items uit de databank met toestandsinformatie weergegeven (sinds dpkg 1.19.1). Als meerdere pakketnamen vermeld werden, worden de opgevraagde items met toestandsinformatie van elkaar gescheiden door een lege regel en weergegeven in dezelfde volgorde als die van de argumentenlijst.

-L, --listfiles pakketnaam...
    De bestanden vermelden die uit pakketnaam op uw systeem geïnstalleerd werden. Als meerdere pakketnamen opgegeven werden, zullen de gevraagde vermeldingen van bestanden van elkaar gescheiden worden door een lege regel en in dezelfde volgorde weergegeven worden als ze in de lijst met argumenten opgegeven werden.

    Elke bestandsomleiding wordt afgedrukt op zijn eigen regel na het omgeleide bestand, voorafgegaan door een van de volgende gelokaliseerde tekenreeksen:

      lokaal omgeleid naar: omgeleid-naar
      pakket leidt andere om naar: omgeleid-naar
      omgeleid door pkkt naar: omgeleid-naar

    Hint: wanneer de uitvoer machinaal wordt verwerkt, is het gebruikelijk om de landinstelling in te stellen op C.UTF-8 om reproduceerbare resultaten te krijgen. Op sommige systemen kan dit ook vereisen dat de omgevingsvariabele LANGUAGE op de juiste manier wordt aangepast als deze al is ingesteld (zie locale(7)).

    Dit commando geeft geen extra bestanden weer die door scripts van de beheerder aangemaakt werden en ook geen alternatieven.

--control-list pakketnaam
    De controlebestanden opsommen die uit pakketnaam op uw systeem geïnstalleerd werden (sinds dpkg 1.16.5). Die kunnen gebruikt worden als invoerargumenten voor --control-show.

--control-show pakketnaam controlebestand
    Het controlebestand dat uit pakketnaam op uw systeem geïnstalleerd werd, weergeven op de standaarduitvoer (sinds dpkg 1.16.5).

-c, --control-path pakketnaam [controlebestand]
    De paden van controlebestanden opsommen die uit pakketnaam op uw systeem geïnstalleerd werden (sinds dpkg 1.15.4). Indien controlebestand opgegeven werd, toon dan enkel het pad voor dat controlebestand als het bestaat.

    Waarschuwing: dit commando wordt uitgefaseerd, omdat het rechtstreekse toegang verleent tot de interne database van dpkg. Gelieve in plaats daarvan over te schakelen op het gebruik van --control-list en --control-show in alle gevallen waarin deze commando's hetzelfde eindresultaat kunnen geven. Dit commando zal evenwel niet verwijderd worden zolang er nog minstens één geval is waarin dit commando nodig is (d.w.z. als een schadelijk postrm-script van een beheerder verwijderd moet worden) en zolang daarvoor geen goede oplossing bestaat.

-S, --search zoekpatroon-bestandsnaam...
    Pakketten zoeken die bestanden hebben die overeenkomen met het opgegeven patroon. Standaard shell-jokertekens kunnen in het patroon gebruikt worden, waarbij sterretje (*) en vraagteken (?) met een slash overeenkomen en backslash (\) als een maskeerteken (escape-teken) gebruikt wordt.

    Wanneer het eerste teken in het zoekpatroon-bestandsnaam niet een van de tekens ‘*[?/’ is, dan zal het beschouwd worden als deeltekenreeksvergelijking en zal het impliciet geplaatst worden tussen ‘*’ (zoals in *zoekpatroon-bestandsnaam*). Indien de daaropvolgende tekenreeks een van de tekens ‘*[?\’ bevat, dan zal ze behandeld worden als een glob-patroon, anders zal een eventuele afsluitende ‘/’ of ‘/.’ verwijderd worden en zal er een letterlijke padopzoeking uitgevoerd worden.

    Dit commando geeft geen extra bestanden weer die door scripts van de beheerder aangemaakt werden en ook geen alternatieven.

    De opmaak van de uitvoer bestaat uit één regel per overeenkomend patroon, met een lijst van pakketten waarin de padnaam voorkomt, gescheiden door een komma (U+002C ',') en een spatie (U+0020 ' '), gevolgd door een dubbele punt (U+003A ':') en een spatie, gevolgd door de padnaam. Als in:

      pkktnaam1, pkktnaam2: padnaam1
      pkktnaam3: padnaam2

    Bestandsomleidingen worden afgedrukt met de volgende gelokaliseerde tekenreeksen:

      omleiding door pkktnaam van: omgeleid-van
      omleiding door pkktnaam naar: omgeleid-naar

    of voor lokale omleidingen:

      lokale omleiding van: omgeleid-van
      lokale omleiding naar: omgeleid-naar

    Hint: wanneer de uitvoer machinaal wordt verwerkt, is het gebruikelijk om de landinstelling in te stellen op C.UTF-8 om reproduceerbare resultaten te krijgen.

-p, --print-avail [pakketnaam...]
    Detailinformatie over pakketten tonen, zoals die in /var/db/dpkg/available te vinden is. Als geen pakketnaam opgegeven werd, worden alle items uit de databank available weergegeven (sinds dpkg 1.19.1). Als meerdere pakketnamen opgegeven worden, worden de gevraagde items uit available onderling gescheiden door een lege regel en weergegeven in dezelfde volgorde als die van de argumentenlijst.

    Gebruikers van frontends die op APT gebaseerd zijn moeten in de plaats daarvan apt show pakketnaam gebruiken, aangezien het bestand available enkel up-to-date gehouden wordt als men dselect gebruikt.

-?, --help
    Info tonen over het gebruik en afsluiten.

--version
    De versie tonen en afsluiten.

OPTIES

--admindir=map
    De locatie van de database van dpkg wijzigen. De standaardlocatie is /var/db/dpkg.

--root=map
    De hoofdmap instellen op map, hetgeen de administratieve map instelt op «map/var/db/dpkg» (sinds dpkg 1.21.0).

--load-avail
    Ook het bestand available laden bij het gebruik van de commando's --show en --list. Standaard doorzoeken die nu enkel het bestand status (sinds dpkg 1.16.2).

--no-pager
    Schakelt het gebruik van een pagineringsprogramma uit bij het weergeven van informatie (sinds dpkg 1.19.2).

-f, --showformat=indeling
    Deze optie wordt gebruikt om op te geven in welke indeling --show zijn uitvoer moet produceren (de korte optie sinds dpkg 1.13.1). De indeling is een tekenreeks die vorm geeft aan de uitvoer die voor elk opgesomd pakket gegenereerd wordt.

    In de indelingstekenreeks markeert “\” een stuurcode:

    \n regeleinde
    \r enter
    \t tab

    “\” voor elk ander letterteken onderdrukt de eventuele bijzondere betekenis van dat navolgende teken, hetgeen van nut is voor “\” en “$”.

    Pakketinformatie kan ingevoegd worden door variabeleverwijzingen naar pakketvelden toe te voegen met behulp van de syntaxis “${veld[;breedte]}”. Velden worden rechts uitgelijnd weergegeven tenzij een negatieve breedte opgegeven werd. In dat geval wordt links uitgelijnd. De volgende velden worden herkend, maar zijn niet noodzakelijk aanwezig in het statusbestand (enkel interne velden en velden die in het binaire pakket opgeslagen worden komen er in terecht):

    Architecture
    Bugs
    Conffiles (intern)
    Config-Version (intern)
    Conflicts
    Breaks
    Depends
    Description
    Enhances
    Protected
    Essential
    Filename (intern, frontend gerelateerd)
    Homepage
    Installed-Size
    MD5sum (intern, frontend gerelateerd)
    MSDOS-Filename (intern, frontend gerelateerd)
    Maintainer
    Origin
    Package
    Pre-Depends
    Priority
    Provides
    Recommends
    Replaces
    Revision (verouderd)
    Section
    Size (intern, frontend gerelateerd)
    Source
    Status (intern)
    Suggests
    Tag (meestal niet in .deb maar in Packages-bestanden van de pakketbron)
    Triggers-Awaited (intern)
    Triggers-Pending (intern)
    Version

    De volgende velden zijn virtueel en worden door dpkg-query gegenereerd uit waarden van andere velden (merk op dat zij namen hebben die niet conform de veldnamen in een controlebestand zijn):

    binary:Package
        Het bevat de naam van het binaire pakket met eventueel een architectuurkwalificatie zoals “libc6:amd64” (sinds dpkg 1.16.2). Er zal een architectuurkwalificatie gebruikt worden om ervoor te zorgen dat de pakketnaam niet ambigu kan zijn bij pakketten met een veld Multi-Arch met de waarde same of bij een vreemde architectuur, wat een architectuur is die niet de eigen architectuur is of niet all.

    binary:Synopsis
        Het bevat de korte beschrijving van het pakket (sinds dpkg 1.19.1).

    binary:Summary
        Dit is een alias voor binary:Synopsis (sinds dpkg 1.16.2).

    db:Status-Abbrev
        Het bevat de verkorte pakketstatus (als drie tekens), zoals “ii ” of “iHR” (sinds dpkg 1.16.2). Zie de beschrijving van het commando --list voor bijkomende toelichting.

    db:Status-Want
        Het bevat de gewenste toestand van het pakket, onderdeel van het veld Status (sinds dpkg 1.17.11).

    db:Status-Status
        Het bevat de pakketstatus uitgedrukt in een woord, onderdeel van het veld Status (sinds dpkg 1.17.11).

    db:Status-Eflag
        Het bevat de status-foutvlag van het pakket, onderdeel van het veld Status (sinds dpkg 1.17.11).

    db-fsys:Files
        Het bevat de door regeleinden gescheiden lijst van de elementen van het pakketbestandssysteem (sinds dpkg 1.19.3).

    db-fsys:Last-Modified
        Het bevat de tijdsaanduiding in seconden van het laatste moment waarop de elementen van het pakketbestandssysteem gewijzigd werden (sinds dpkg 1.19.3).

    source:Package
        Het bevat de naam van het broncodepakket van dit binaire pakket (sinds dpkg 1.16.2).

    source:Version
        Het bevat het versienummer van het broncodepakket van dit binaire pakket (sinds dpkg 1.16.2).

    source:Upstream-Version
        Het bevat het versienummer van de toeleveraarsbroncode voor dit binaire pakket (sinds dpkg 1.18.16).

    De standaard indelingstekenreeks is “${binary:Package}\t${Version}\n”. In feite kunnen ook alle andere velden die in het statusbestand te vinden zijn (d.w.z. door de gebruiker gedefinieerde velden) opgevraagd worden. Zij zullen evenwel als zodanig weergegeven worden, zonder conversie of foutcontrole. Om de naam van de beheerder van dpkg en de geïnstalleerde versie te bekomen, kunt u het volgende commando uitvoeren:

     dpkg-query -f='${binary:Package} ${Version}\t${Maintainer}\n' \
      -W dpkg

AFSLUITSTATUS

0   De gevraagde opzoeking werd succesvol uitgevoerd.

1   De gevraagde opzoeking mislukte volledig of gedeeltelijk ten gevolge van het feit dat een bestand of een pakket niet gevonden werd (behalve bij --control-path, --control-list en --control-show waarvoor dit soort fouten fataal is).

2   Fatale of onherstelbare fout die te wijten is aan ongeldig gebruik van de commandoregel of aan interacties met het systeem, zoals het benaderen van de database, het toewijzen van geheugen, enz.

OMGEVING

  Externe omgeving

SHELL
    Stelt het uit te voeren programma in wanneer een commando via een shell voortgebracht wordt (sinds dpkg 1.19.2).

PAGER
DPKG_PAGER
    Stelt het te gebruiken pagineringscommando in (sinds dpkg 1.19.1), hetwelk uitgevoerd zal worden met «$SHELL -c». Indien SHELL niet ingesteld is, zal «sh» gebruikt worden. DPKG_PAGER overschrijft de omgevingsvariabele PAGER (sinds dpkg 1.19.2).

DPKG_ROOT
    Indien dit ingesteld is en de optie --root niet opgegeven werd, zal dit gebruikt worden als de hoofdmap voor het bestandssysteem (sinds dpkg 1.21.0).

DPKG_ADMINDIR
    Indien dit ingesteld werd en de optie --admindir niet gebruikt werd, zal dit gebruikt worden als de datamap voor dpkg.

DPKG_DEBUG
    Stelt het foutopsporingsmasker in (sinds dpkg 1.21.10) vanaf een octale waarde. De momenteel geaccepteerde vlaggen worden beschreven in de optie dpkg --debug, maar mogelijk hebben niet al deze vlaggen effect op dit programma.

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

  Interne omgeving

LESS
    Indien niet reeds ingesteld, wordt het als “-FRSXMQ” gedefinieerd door dpkg-query bij het voortbrengen van een pagineringsprogramma (sinds dpkg 1.19.2). Om het standaardgedrag te wijzigen, kan deze variabele vooraf ingesteld worden op een andere waarde, inclusief op een lege tekenreeks, ofwel kunnen de variabelen PAGER of DPKG_PAGER ingesteld worden om specifieke opties uit te schakelen met «-+», bijvoorbeeld DPKG_PAGER="less -+F".

BEVEILIGING
Query-operaties zouden nooit root mogen vereisen, en het delegeren van hun uitvoering naar niet-geprivilegieerde gebruikers via een commando om beheerdersrechten te verwerden, kan veiligheidsimplicaties hebben (zoals een probleem van rechtenuitbreiding), bijvoorbeeld wanneer een pagineringsprogramma automatisch wordt aangeroepen door het hulpmiddel.

ZIE OOK
dpkg(1).